    Display the residuals (data - model) for a data set in the image viewer.

image_resid(id=None, newframe=False, tile=False)
id - int or str, optional
newframe - bool, optional
tile - bool, optional

This function displays the residuals (data - model) for a data set.

The image viewer is automatically started if it is not already open.

Display the residuals for the default data set.

>>> image_resid()

Display the residuals for data set 2 in a new frame so that the data in the current frame is not destroyed. The new data will be displayed in a single frame (i.e. the only data shown by the viewer).

>>> image_resid(2, newframe=True)

Display the residuals for data sets 'i1' and 'i2' side by side:

>>> image_resid('i1') >>> image_resid('i2', newframe=True, tile=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
newframe
Create a new frame for the data? If False , the default, then the data will be displayed in the current frame.
tile
Should the frames be tiles? If False , the default, then only a single frame is displayed.

Notes

Image visualization is optional, and provided by the DS9 application.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023